Description

According to the user, if you install Linux toolchain, the binary build will allow you to package for it, and will not handle the failure gracefully ( https://forums.unrealengine.com/showthread.php?54636-Linux-cross-compilation-on-4-6-1-(binary-version) )

What should happen instead depends on the version:

  • for 4.6.x and older, the option to package should perhaps not appear at all in a binary version, no matter whether the toolchain is installed.
  • for 4.7 we want to support packaging of content-only builds.
Steps to Reproduce

1) Install Linux toolchain as described in [Link Removed]

2) Run the binary version (from the Launcher)

3) Try to package a content-only project for Linux.

4) Try to package a code project for Linux.

Have Comments or More Details?

There's no existing public thread on this issue, so head over to Questions & Answers just mention UE-7114 in the post.

0
Login to Vote

Fixed
ComponentPlatform - Linux
Affects Versions4.6.1
Target Fix4.8
Fix Commit2543338
Release Commit2544434
CreatedJan 5, 2015
ResolvedMay 8, 2015
UpdatedApr 27, 2018